Bug 12653 - Safari memory usage balloons when using Pandora (www.pandora.com)
Summary: Safari memory usage balloons when using Pandora (www.pandora.com)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2007-02-06 23:24 PST by Maciej Stachowiak
Modified: 2007-03-13 00:34 PDT (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Stachowiak 2007-02-06 23:24:02 PST
2006-10-11 19:19:06 cricket Hynes:
I frequently use the Pandora music player at www.pandora.com. On recent Leopard builds, up to and including 9A283, I've been finding that the memory usage is getting out of control, even after only an hour of usage. For example, this is what I currently show in top:

  539 Safari      30.4%  5:54:46  10   220   3515   97M  5792K+  126M+ 7262M 

RPRVT in 97MB and VSIZE is 7.2GB!

leaks shows:

Process 539: 884 leaks for 26720 total leaked bytes.

I attached the output of vmmap. 

2006-10-18 17:08:28 Stephanie Lewis:
Verified in Leopard 9A283.  I've been running Safari and Pandora for about 45 minutes.  (I was also bug screening).  In the last 15 minutes the VSIZE for Safari has jumped 1 GB.

2006-10-24 11:18:34 Timothy Hatcher:
Safari BRB Reviewed- this site has a flash plugin, the plugin could be leaking. Safari has no control over the memory use of plugins.

2006-10-24 11:18:59 John Sullivan:
We should run leaks with MallocStackLogging to see if we can tell what is leaking.

2006-10-31 19:13:45 cricket Hynes:
I ran Pandora for 1 hour and RPRVT went from 25MB to 181MB and VSIZE went from 297MB to 2.3GB. However, leaks is only showing 20K of leaks (and it's not growing noticeably over time). Attached.

2007-02-05 19:38:45 Maciej Stachowiak:
Big leak with apparent steps to reproduce.

<rdar://problem/4779509>
Comment 1 Maciej Stachowiak 2007-03-13 00:34:12 PDT
Fixed in Radar.